/*
 *  Poker
 *
 *  Enhydra super-servlet presentation object
 *
 */

package poker.presentation.main;

import poker.Poker;
import poker.business.GameManager;

// Enhydra SuperServlet imports
import com.lutris.appserver.server.httpPresentation.HttpPresentation;
import com.lutris.appserver.server.httpPresentation.HttpPresentationComms;
import com.lutris.appserver.server.httpPresentation.HttpPresentationException;
import com.lutris.util.KeywordValueException;
import poker.Poker;

public class HousePresentation implements HttpPresentation {


  public void run(HttpPresentationComms comms)
      throws HttpPresentationException, KeywordValueException {

    HouseHTML house;
    house = (HouseHTML)comms.xmlcFactory.create(HouseHTML.class);

    Poker mainApp = (Poker)comms.session.getSessionData().get("app");
    GameManager gameManager = mainApp.getGameManager();

    house.setTextHouseProfit(gameManager.getHouseProfit());
    house.setTextTotalBankrupt(gameManager.getTotalBankrupt());
    house.setTextTotalHandsDealt(gameManager.getTotalHandsDealt());
    house.setTextTotalHandsLost(gameManager.getTotalHandsLost());
    house.setTextTotalHandsWon(gameManager.getTotalHandsWon());
    house.setTextTotalPlayers(gameManager.getTotalPlayers());

    comms.response.writeDOM(house);
  }

}
